import { AutoMap } from '@automapper/classes';
import { IsEnum, IsNotEmpty, IsOptional, IsString } from 'class-validator';
import { Domain } from './domain.enum';

export class UpdateConfigurationRequest {
  @IsString()
  @IsNotEmpty()
  @AutoMap()
  uuid: string;

  @IsEnum(Domain)
  @IsOptional()
  @AutoMap()
  domain?: Domain;

  @IsString()
  @IsOptional()
  @AutoMap()
  key?: string;

  @IsString()
  @IsOptional()
  @AutoMap()
  value?: string;
}
